[gnome-ostree] Initial AWS install scripts



commit fcf0a616059f91f8f676064cc2e25358e8785762
Author: Colin Walters <walters verbum org>
Date:   Mon Aug 13 21:22:42 2012 -0400

    Initial AWS install scripts

 install/amazon-linux-cloud-init.sh |   57 +++++++++++++++++++++++++++++++++++
 install/ostree-user-install.sh     |   58 ++++++++++++++++++++++++++++++++++++
 install/ostree.modules             |   19 ++++++++++++
 3 files changed, 134 insertions(+), 0 deletions(-)
---
diff --git a/install/amazon-linux-cloud-init.sh b/install/amazon-linux-cloud-init.sh
new file mode 100755
index 0000000..e38752c
--- /dev/null
+++ b/install/amazon-linux-cloud-init.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+# Set up gnome-ostree build system on an Amazon Linux instance
+#
+# Copyright (C) 2012 Colin Walters <walters verbum org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -e
+
+exec 1>/var/log/cloud-init.log
+exec 2>&1
+
+PACKAGES="
+git
+make
+gcc
+gettext
+libffi-devel
+libattr-devel
+libxml2-devel
+
+autoconf automake binutils bison byacc cvs docbook-dtds docbook-style-dsssl
+docbook-style-xsl docbook-utils doxygen elfutils flex gcc gcc-c++ gettext git 
+gzip hg intltool libtool make patch pkgconfig sed subversion tar unzip
+
+diffstat texinfo texi2html chrpath
+"
+
+yum -y install $PACKAGES
+
+cat > /etc/yum.repos.d/cdn-verbum-org.repo <<EOF
+[cdn-verbum-org]
+name=cdn.verbum.org/rpms
+baseurl=http://cdn.verbum.org/rpms
+gpgcheck=0
+EOF
+
+yum -y install linux-user-chroot
+
+adduser ostree
+
+su - ostree -c 'set -e ; mkdir -p ~/src; cd ~/src;
+test -d gnome-ostree || git clone --depth=1 git://git.gnome.org/gnome-ostree;
+./gnome-ostree/install/ostree-user-install.sh' < /dev/null
diff --git a/install/ostree-user-install.sh b/install/ostree-user-install.sh
new file mode 100755
index 0000000..fa0776a
--- /dev/null
+++ b/install/ostree-user-install.sh
@@ -0,0 +1,58 @@
+#!/bin/sh
+# Set up ostree user
+#
+# Copyright (C) 2012 Colin Walters <walters verbum org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -e
+set -x
+
+cd ${HOME}
+mkdir -p src
+cd src
+test -d jhbuild || git clone --depth=1 git://git.gnome.org/jhbuild
+
+cd ~/src/jhbuild
+./autogen.sh
+make
+make install
+
+cat > ${HOME}/.jhbuildrc << END
+modulesets_dir = '~/src/gnome-ostree/install'
+moduleset = 'ostree'
+modules = ['gnome-ostree']
+checkoutroot = '~/src'
+prefix = '~/build/jhbuild'
+use_local_modulesets = True
+END
+
+~/.local/bin/jhbuild build gnome-ostree </dev/null
+
+cd ~/src
+test -d poky || git clone --depth=1 -b gnomeos-3.6 git://github.com/cgwalters/poky poky
+mkdir -p ~/build
+cd ~/build
+. ~/src/poky/oe-init-build-env gnomeos-build
+cat > conf/bblayers.conf << END
+LCONF_VERSION = "4"
+BBFILES ?= ""
+BBLAYERS = " \
+  ${HOME}/src/poky/meta \
+  ${HOME}/src/poky/meta-yocto \
+  ${HOME}/src/poky/meta-gnomeos \
+  "
+END
diff --git a/install/ostree.modules b/install/ostree.modules
new file mode 100644
index 0000000..c081fb5
--- /dev/null
+++ b/install/ostree.modules
@@ -0,0 +1,19 @@
+<moduleset>
+  <repository type="git" name="git.gnome.org" default="yes"
+      href="git://git.gnome.org/"/>
+  <autotools id="glib" autogenargs="--disable-modular-tests">
+    <branch/>
+  </autotools>
+  <autotools id="ostree" autogenargs="--disable-documentation --disable-libarchive">
+    <branch/>
+    <dependencies>
+      <dep package="glib"/>
+    </dependencies>
+  </autotools>
+  <autotools id="gnome-ostree">
+    <branch/>
+    <dependencies>
+      <dep package="ostree"/>
+    </dependencies>
+  </autotools>
+</moduleset>



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]